AquaMapsPortletLocalImpl (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet

## Class AquaMapsPortletLocalImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.application.aquamaps.aquamapsportlet.servlet.AquaMapsPortletLocalImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, AquaMapsPortletLocalService

      public class AquaMapsPortletLocalImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements AquaMapsPortletLocalService

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AquaMapsPortletLocalImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Msg` | `addAllFilteredSpecies(int totalCount, String sortColumn, String sortDir)`
    `Msg` | `addToObjectBasket(List<String> ids, String objTitle)`
    `Msg` | `addToSpeciesSelection(List<String> toAdd)`
    `Msg` | `changeGisById(List<String> ids)`
    `Msg` | `changeGisByType(String type)`
    `Msg` | `clearEnvelopeCustomization(String id)`
    `Msg` | `clearSpeciesFilter()`
    `Msg` | `createObjectsBySelection(ClientObjectType type, List<String> ids, String title)`
    `Msg` | `filterSubmitted(String parameter, String value)`
    `Integer` | `getImportProgress()`
    `SettingsDescriptor` | `getStats()`
    `Msg` | `removeObject(String title, ClientObjectType type)`
    `Msg` | `removeSelectionFromBasket(String title, List<String> speciesIds)`
    `Msg` | `setEnvelopeCustomization(String ids, Map<SpeciesFields,Float> perturbations)`
    `Msg` | `setSource(int id, ClientResourceType ctype)`
    `Msg` | `setSpeciesFilter(List<ClientFilter> filter, String filterSummary)`
    `Msg` | `updateObject(String oldTitle, String title, ClientObjectType type, String bBox, Float threshold, Boolean gis)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AquaMapsPortletLocalImpl

          public AquaMapsPortletLocalImpl()

  - ### Method Detail

    - #### setSpeciesFilter

          public Msg setSpeciesFilter(List<ClientFilter> filter,
                             String filterSummary)
                               throws Exception

      Specified by:
        `setSpeciesFilter` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### clearSpeciesFilter

          public Msg clearSpeciesFilter()
                                 throws Exception

      Specified by:
        `clearSpeciesFilter` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### addAllFilteredSpecies

          public Msg addAllFilteredSpecies(int totalCount,
                                  String sortColumn,
                                  String sortDir)
                                    throws Exception

      Specified by:
        `addAllFilteredSpecies` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### addToSpeciesSelection

          public Msg addToSpeciesSelection(List<String> toAdd)
                                    throws Exception

      Specified by:
        `addToSpeciesSelection` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### setEnvelopeCustomization

          public Msg setEnvelopeCustomization(String ids,
                                     Map<SpeciesFields,Float> perturbations)
                                       throws Exception

      Specified by:
        `setEnvelopeCustomization` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### addToObjectBasket

          public Msg addToObjectBasket(List<String> ids,
                              String objTitle)
                                throws Exception

      Specified by:
        `addToObjectBasket` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### removeObject

          public Msg removeObject(String title,
                         ClientObjectType type)
                           throws Exception

      Specified by:
        `removeObject` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### filterSubmitted

          public Msg filterSubmitted(String parameter,
                            String value)
                              throws Exception

      Specified by:
        `filterSubmitted` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### updateObject

          public Msg updateObject(String oldTitle,
                         String title,
                         ClientObjectType type,
                         String bBox,
                         Float threshold,
                         Boolean gis)
                           throws Exception

      Specified by:
        `updateObject` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### getStats

          public SettingsDescriptor getStats()
                                      throws Exception

      Specified by:
        `getStats` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### changeGisById

          public Msg changeGisById(List<String> ids)
                            throws Exception

      Specified by:
        `changeGisById` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### changeGisByType

          public Msg changeGisByType(String type)
                              throws Exception

      Specified by:
        `changeGisByType` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### setSource

          public Msg setSource(int id,
                      ClientResourceType ctype)
                        throws Exception

      Specified by:
        `setSource` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### createObjectsBySelection

          public Msg createObjectsBySelection(ClientObjectType type,
                                     List<String> ids,
                                     String title)
                                       throws Exception

      Specified by:
        `createObjectsBySelection` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### removeSelectionFromBasket

          public Msg removeSelectionFromBasket(String title,
                                      List<String> speciesIds)
                                        throws Exception

      Specified by:
        `removeSelectionFromBasket` in interface `AquaMapsPortletLocalService`
      Parameters:
        `title` - if null clears session basket
      Returns:
      Throws:
        `Exception`

    - #### clearEnvelopeCustomization

          public Msg clearEnvelopeCustomization(String id)
                                         throws Exception

      Specified by:
        `clearEnvelopeCustomization` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

    - #### getImportProgress

          public Integer getImportProgress()
                                    throws Exception

      Specified by:
        `getImportProgress` in interface `AquaMapsPortletLocalService`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.